Package org.eclipse.emf.compare.internal.dmp

## Enum diff_match_patch.Operation

- java.lang.Object
- - java.lang.Enum<diff_match_patch.Operation>
  - - org.eclipse.emf.compare.internal.dmp.diff_match_patch.Operation

All Implemented Interfaces:
  `Serializable`, `Comparable<diff_match_patch.Operation>`

Enclosing class:
  diff_match_patch

    public static enum diff_match_patch.Operation
    extends Enum<diff_match_patch.Operation>

The data structure representing a diff is a Linked list of Diff objects: {Diff(Operation.DELETE, "Hello"), Diff(Operation.INSERT, "Goodbye"), Diff(Operation.EQUAL, " world.")} which means: delete "Hello", add "Goodbye" and keep " world."

### Enum Constant Summary

Enum Constants
`DELETE`
`EQUAL`
`INSERT`

### Method Summary

All Methods Static Methods Concrete Methods
`static diff_match_patch.Operation` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static diff_match_patch.Operation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DELETE

    public static final diff_match_patch.Operation DELETE

#### INSERT

    public static final diff_match_patch.Operation INSERT

#### EQUAL

    public static final diff_match_patch.Operation EQUAL

### Method Detail

#### values

    public static diff_match_patch.Operation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (diff_match_patch.Operation c : diff_match_patch.Operation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static diff_match_patch.Operation valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null